org.eclipse.jetty.plus.jndi

## Class Link

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntry
  - - org.eclipse.jetty.plus.jndi.Link

    public class Link
    extends NamingEntry

### Field Summary

### Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

`__contextName, _jndiName, _namingEntryNameString, _objectNameString, _scope`

### Constructor Summary

Constructors
Constructor and Description
`Link(Object scope, String jndiName, String link)`
`Link(String jndiName, String link)`

### Method Summary

Methods
`void` `bindToENC(String localName)` Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied
`String` `getLink()`

### Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

`getJndiName, getJndiNameInScope, release, save, toString, unbindENC`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Link

    public Link(Object scope,
        String jndiName,
        String link)
         throws NamingException

Throws:
  `NamingException`

#### Link

    public Link(String jndiName,
        String link)
         throws NamingException

Throws:
  `NamingException`

### Method Detail

#### bindToENC

    public void bindToENC(String localName)
                   throws NamingException

Description copied from class: `NamingEntry`
Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied

Overrides:
  `bindToENC` in class `NamingEntry`
Throws:
  `NamingException`

#### getLink

    public String getLink()